<?php

namespace common\logic\CreditHistory;

use common\logic\ContainerInterface;

class CreditHistoryContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return CreditHistoryModel::class;
    }

    public function getServices(): array
    {
        return [
            CreditHistoryFactory::class,
            CreditHistorySolver::class,
            CreditHistoryBuilder::class,
            CreditHistoryRepository::class,
        ];
    }

    public function getFactory(): CreditHistoryFactory
    {
        return new CreditHistoryFactory();
    }

    public function getSolver(): CreditHistorySolver
    {
        return new CreditHistorySolver();
    }

    public function getBuilder(): CreditHistoryBuilder
    {
        return new CreditHistoryBuilder();
    }

    public function getRepository(): CreditHistoryRepository
    {
        return new CreditHistoryRepository();
    }
}