<?php

namespace common\logic\User;

use common\logic\ContainerInterface;
use common\services\User\UserFactory;
use common\services\User\UserUtils;

class UserContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserModel::class;
    }

    public function getServices(): array
    {
        return [
            UserFactory::class,
            UserRepository::class,
            UserBuilder::class,
            UserUtils::class,
        ];
    }

    public function getFactory(): UserFactory
    {
        return new UserFactory();
    }

    public function getRepository(): UserRepository
    {
        return new UserRepository();
    }

    public function getBuilder(): UserBuilder
    {
        return new UserBuilder();
    }

    public function getUtils(): UserUtils
    {
        return new UserUtils();
    }
}