<?php

namespace common\logic\UserProducer;

use common\logic\BaseService;
use common\logic\RepositoryInterface;

class UserProducerRepository extends BaseService implements RepositoryInterface
{
    public function getOne($idUser, $idProducer)
    {
        return UserProducerModel::searchOne([
            'id_user' => $idUser,
            'id_producer' => $idProducer
        ]);
    }

    public function getBy($idUser, $active = 1, $bookmark = 1)
    {
        return UserProducerModel::find()
            ->with(['producer'])
            ->where([
                'id_user' => $idUser,
                'active' => $active,
                'bookmark' => $bookmark
            ])
            ->all();
    }
}